Package org.apache.catalina.realm

## Class X509SubjectDnRetriever

- java.lang.Object
- - org.apache.catalina.realm.X509SubjectDnRetriever

All Implemented Interfaces:
  `X509UsernameRetriever`

    public class X509SubjectDnRetriever
    extends Object
    implements X509UsernameRetriever

An X509UsernameRetriever that returns a certificate's entire SubjectDN as the username.

### Constructor Summary

Constructors
`X509SubjectDnRetriever()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getUsername​(X509Certificate clientCert)` Gets a user name from an X509Certificate.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### X509SubjectDnRetriever

    public X509SubjectDnRetriever()

### Method Detail

#### getUsername

    public String getUsername​(X509Certificate clientCert)

Description copied from interface: `X509UsernameRetriever`
Gets a user name from an X509Certificate.

Specified by:
  `getUsername` in interface `X509UsernameRetriever`
Parameters:
  `clientCert` - The certificate containing the user name.
Returns:
  An appropriate user name obtained from one or more fields in the certificate.